import type { BuilderRenderContext, RegisteredComponent } from "../../context/types.js";
import type { BuilderContent } from "../../types/builder-content.js";
import type { Nullable } from "../../types/typescript.js";
export declare type RenderContentProps = {
    content?: Nullable<BuilderContent>;
    model?: string;
    data?: {
        [key: string]: any;
    };
    context?: BuilderRenderContext;
    apiKey: string;
    customComponents?: RegisteredComponent[];
    canTrack?: boolean;
    locale?: string;
    includeRefs?: boolean;
};
export declare const useContent: (props: any, state: any, elementRef: any) => BuilderContent | undefined;
export declare const canTrackToUse: (props: any, state: any, elementRef: any) => any;
export declare const contentState: (props: any, state: any, elementRef: any) => any;
export declare const contextContext: (props: any, state: any, elementRef: any) => any;
export declare const allRegisteredComponents: (props: any, state: any, elementRef: any) => any;
export declare const processMessage: (props: any, state: any, elementRef: any, event: MessageEvent) => void;
export declare const evaluateJsCode: (props: any, state: any, elementRef: any) => void;
export declare const httpReqsData: (props: any, state: any, elementRef: any) => {};
export declare const onClick: (props: any, state: any, elementRef: any, _event: MouseEvent) => void;
export declare const evalExpression: (props: any, state: any, elementRef: any, expression: string) => string;
export declare const handleRequest: (props: any, state: any, elementRef: any, { url, key, }: {
    key: string;
    url: string;
}) => void;
export declare const runHttpRequests: (props: any, state: any, elementRef: any) => void;
export declare const emitStateUpdate: (props: any, state: any, elementRef: any) => void;
export declare const shouldRenderContentStyles: (props: any, state: any, elementRef: any) => boolean;
export declare const RenderContent: import("@builder.io/qwik").Component<RenderContentProps>;
export default RenderContent;
